Getting started
Get import progress
Check the status and available failure details for an import in this database.
GET
/api/customer/v1/projects/{projectId}/databases/{databaseId}/imports/{importId}Path parameters
| Name | Value |
|---|---|
projectId | Required resource ID from an earlier API response. |
databaseId | Required resource ID from an earlier API response. |
importId | Required resource ID from an earlier API response. |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/databases/${DATABASE_ID}/imports/${IMPORT_ID}" \
--header "Authorization: Bearer $HCODE_API_KEY" Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"import": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
},
"createdAt": {
"type": "string"
},
"errorMessage": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [],
"additionalProperties": true
}
},
"required": [
"import"
],
"additionalProperties": true
}See errors and retries for failure responses.